package com.ruoyi.ibs.grid.domain.dto.virtual;

import javax.validation.constraints.NotNull;

public class VirtualGridSelectInfo {

    /** 网格标签 */
    @NotNull(message = "网格标签不能为空")
    private String gridPattern = "3";

    /** 创建机构 */
    private String createRole;

    /** 网格类型 */
    private String gridType;

    /** 客户类型 */
    private String custType;

    /** 客户类型名称 */
    private String custTypeDes;

    /** 网格id */
    private Long gridId;

    /** 网格名称 */
    private String virtualGridName;

    /** 责任类型 */
    private String gridDutyType;

    /** 关联支行 */
    private String relationDept;

    /** 关联网点 */
    private String relationOutlet;

    /** 客户经理 */
    private String custManager;

    /** 客户数量 */
    private Long custNum;

    /** 商户数量 */
    private Long posNum;

    /** 企业数量 */
    private Long busiNum;

    /** 用户机构 */
    private Long userDept;

    /** 网格编辑权限 */
    private String isEdit = "0";

    /** 网格删除权限 */
    private String isDel = "0";

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getCustTypeDes() {
        return custTypeDes;
    }

    public void setCustTypeDes(String custTypeDes) {
        this.custTypeDes = custTypeDes;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public String getVirtualGridName() {
        return virtualGridName;
    }

    public void setVirtualGridName(String virtualGridName) {
        this.virtualGridName = virtualGridName;
    }

    public String getGridDutyType() {
        return gridDutyType;
    }

    public void setGridDutyType(String gridDutyType) {
        this.gridDutyType = gridDutyType;
    }

    public String getRelationDept() {
        return relationDept;
    }

    public void setRelationDept(String relationDept) {
        this.relationDept = relationDept;
    }

    public String getRelationOutlet() {
        return relationOutlet;
    }

    public void setRelationOutlet(String relationOutlet) {
        this.relationOutlet = relationOutlet;
    }

    public String getCustManager() {
        return custManager;
    }

    public void setCustManager(String custManager) {
        this.custManager = custManager;
    }

    public Long getCustNum() {
        return custNum;
    }

    public void setCustNum(Long custNum) {
        this.custNum = custNum;
    }

    public Long getPosNum() {
        return posNum;
    }

    public void setPosNum(Long posNum) {
        this.posNum = posNum;
    }

    public Long getBusiNum() {
        return busiNum;
    }

    public void setBusiNum(Long busiNum) {
        this.busiNum = busiNum;
    }

    public Long getUserDept() {
        return userDept;
    }

    public void setUserDept(Long userDept) {
        this.userDept = userDept;
    }

    public String getIsEdit() {
        return isEdit;
    }

    public void setIsEdit(String isEdit) {
        this.isEdit = isEdit;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return "VirtualGridSelectInfo{" +
                "gridPattern='" + gridPattern + '\'' +
                ", createRole='" + createRole + '\'' +
                ", gridType='" + gridType + '\'' +
                ", custType='" + custType + '\'' +
                ", custTypeDes='" + custTypeDes + '\'' +
                ", gridId=" + gridId +
                ", virtualGridName='" + virtualGridName + '\'' +
                ", gridDutyType='" + gridDutyType + '\'' +
                ", relationDept=" + relationDept +
                ", relationOutlet=" + relationOutlet +
                ", custManager=" + custManager +
                ", custNum=" + custNum +
                ", posNum=" + posNum +
                ", busiNum=" + busiNum +
                ", userDept=" + userDept +
                ", isEdit='" + isEdit + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
